org.apache.poi.hslf.record

## Class TextRulerAtom

- java.lang.Object
- - org.apache.poi.hslf.record.Record
  - - org.apache.poi.hslf.record.RecordAtom
    - - org.apache.poi.hslf.record.TextRulerAtom

- All Implemented Interfaces:
    GenericRecord

      public final class TextRulerAtom
      extends RecordAtom

  Ruler of a text as it differs from the style's ruler settings.

- - ### Field Summary

    - ### Fields inherited from class org.apache.poi.hslf.record.Record

      `logger`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `` | `TextRulerAtom()` Constructs a new empty ruler atom.
    `protected` | `TextRulerAtom(byte[] source, int start, int len)` Constructs the ruler atom record from its source data.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Integer[]` | `getBulletOffsets()` First line of paragraph's distance from shape's left margin, in master coordinates (576 dpi).
    `int` | `getDefaultTabSize()` Default distance between tab stops, in master coordinates (576 dpi).
    `java.util.Map<java.lang.String,java.util.function.Supplier<?>>` | `getGenericProperties()`
    `int` | `getNumberOfLevels()` Number of indent levels (maximum 5).
    `static TextRulerAtom` | `getParagraphInstance()`
    `long` | `getRecordType()` Gets the record type.
    `java.util.List<HSLFTabStop>` | `getTabStops()` Default distance between tab stops, in master coordinates (576 dpi).
    `java.lang.Integer[]` | `getTextOffsets()` Paragraph's distance from shape's left margin, in master coordinates (576 dpi).
    `void` | `setParagraphIndent(short leftMargin, short indent)`
    `void` | `writeOut(java.io.OutputStream out)` Write the contents of the record back, so it can be written to disk.

    - ### Methods inherited from class org.apache.poi.hslf.record.RecordAtom

      `getChildRecords, isAnAtom`

    - ### Methods inherited from class org.apache.poi.hslf.record.Record

      `buildRecordAtOffset, createRecordForType, findChildRecords, getGenericChildren, getGenericRecordType, writeLittleEndian, writeLittleEndian`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TextRulerAtom

          public TextRulerAtom()

      Constructs a new empty ruler atom.

    - #### TextRulerAtom

          protected TextRulerAtom(byte[] source,
                                  int start,
                                  int len)

      Constructs the ruler atom record from its source data.
      Parameters:
        `source` - the source data as a byte array.
        `start` - the start offset into the byte array.
        `len` - the length of the slice in the byte array.

  - ### Method Detail

    - #### getRecordType

          public long getRecordType()

      Gets the record type.
      Specified by:
        `getRecordType` in class `Record`
      Returns:
        the record type.

    - #### writeOut

          public void writeOut(java.io.OutputStream out)
                        throws java.io.IOException

      Write the contents of the record back, so it can be written to disk.
      Specified by:
        `writeOut` in class `Record`
      Parameters:
        `out` - the output stream to write to.
      Throws:
        `java.io.IOException` - if an error occurs.

    - #### getDefaultTabSize

          public int getDefaultTabSize()

      Default distance between tab stops, in master coordinates (576 dpi).

    - #### getNumberOfLevels

          public int getNumberOfLevels()

      Number of indent levels (maximum 5).

    - #### getTabStops

          public java.util.List<HSLFTabStop> getTabStops()

      Default distance between tab stops, in master coordinates (576 dpi).

    - #### getTextOffsets

          public java.lang.Integer[] getTextOffsets()

      Paragraph's distance from shape's left margin, in master coordinates (576 dpi).

    - #### getBulletOffsets

          public java.lang.Integer[] getBulletOffsets()

      First line of paragraph's distance from shape's left margin, in master coordinates (576 dpi).

    - #### getParagraphInstance

          public static TextRulerAtom getParagraphInstance()

    - #### setParagraphIndent

          public void setParagraphIndent(short leftMargin,
                                         short indent)

    - #### getGenericProperties

          public java.util.Map<java.lang.String,java.util.function.Supplier<?>> getGenericProperties()

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.